> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /immowelt/properties/search

> Search immowelt real estate listings by location (city, district, postal code, street or geo id) with transaction kind, property type and subtype, project type, price, living area, plot, rooms, construction year, features, building condition, furnishing, position in the building and energy class filters and ordering. Returns listing cards with title, property type, price with its label (Kaufpreis, Kaltmiete, Warmmiete), price per m², main area, plot area, divisibility, rooms, floor, availability, energy class, address, photos, tags, the property url and the listing agency. Covers both immowelt.de and immowelt.at.

**Price:** 20 credits per 30 results

**⚠️ Common errors:** 412: Location could not be resolved



## OpenAPI

````yaml /openapi/real-estate.json post /api/immowelt/properties/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/immowelt/properties/search:
    post:
      tags:
        - /immowelt
      summary: /immowelt/properties/search
      description: >-
        Search immowelt real estate listings by location (city, district, postal
        code, street or geo id) with transaction kind, property type and
        subtype, project type, price, living area, plot, rooms, construction
        year, features, building condition, furnishing, position in the building
        and energy class filters and ordering. Returns listing cards with title,
        property type, price with its label (Kaufpreis, Kaltmiete, Warmmiete),
        price per m², main area, plot area, divisibility, rooms, floor,
        availability, energy class, address, photos, tags, the property url and
        the listing agency. Covers both immowelt.de and immowelt.at.


        **Price:** 20 credits per 30 results


        **⚠️ Common errors:** 412: Location could not be resolved
      operationId: __api_immowelt_properties_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImmoweltPropertiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ImmoweltPropertyCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ImmoweltPropertiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        location:
          type: string
          minLength: 1
        domain:
          $ref: '#/components/schemas/ImmoweltDomain'
          default: immowelt.de
        distribution_types:
          items:
            $ref: '#/components/schemas/ImmoweltDistributionType'
          type: array
          default:
            - Buy
        estate_types:
          items:
            $ref: '#/components/schemas/ImmoweltEstateType'
          type: array
          default: []
        estate_sub_types:
          items:
            $ref: '#/components/schemas/ImmoweltEstateSubType'
          type: array
          default: []
        project_types:
          items:
            $ref: '#/components/schemas/ImmoweltProjectType'
          type: array
          default: []
        features_included:
          items:
            $ref: '#/components/schemas/ImmoweltFeature'
          type: array
          default: []
        features_excluded:
          items:
            $ref: '#/components/schemas/ImmoweltFeature'
          type: array
          default: []
        build_states:
          items:
            $ref: '#/components/schemas/ImmoweltBuildState'
          type: array
          default: []
        furnished:
          items:
            $ref: '#/components/schemas/ImmoweltFurnished'
          type: array
          default: []
        energy_classes:
          items:
            $ref: '#/components/schemas/ImmoweltEnergyClass'
          type: array
          default: []
        locations_in_building:
          items:
            $ref: '#/components/schemas/ImmoweltLocationInBuilding'
          type: array
          default: []
        min_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_area:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_area:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_plot:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_plot:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_rooms:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_rooms:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_year:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_year:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        sort:
          $ref: '#/components/schemas/ImmoweltSort'
          default: Default
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - location
        - count
    ImmoweltPropertyCard:
      properties:
        '@type':
          type: string
          default: ImmoweltPropertyCard
        id:
          type: string
        global_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        document_title:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        distribution_type:
          anyOf:
            - type: string
            - type: 'null'
        provider_type:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_label:
          anyOf:
            - type: string
            - type: 'null'
        price_per_m2:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        area_m2:
          anyOf:
            - type: number
            - type: 'null'
        plot_m2:
          anyOf:
            - type: number
            - type: 'null'
        is_divisible:
          anyOf:
            - type: boolean
            - type: 'null'
        divisible_from_m2:
          anyOf:
            - type: number
            - type: 'null'
        room_count:
          anyOf:
            - type: number
            - type: 'null'
        floor:
          anyOf:
            - type: string
            - type: 'null'
        availability:
          anyOf:
            - type: string
            - type: 'null'
        energy_class:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltAddress'
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        tags:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltTags'
            - type: 'null'
        agency:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltListingAgency'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ImmoweltDomain:
      type: string
      enum:
        - immowelt.de
        - immowelt.at
    ImmoweltDistributionType:
      type: string
      enum:
        - Buy
        - Rent
        - Buy_Auction
        - Compulsory_Auction
    ImmoweltEstateType:
      type: string
      enum:
        - Apartment
        - House
        - Plot
        - Parking
        - Senior
        - Building
        - Office
        - Trading
        - Storage_Production
        - Gastronomy_Hotel
        - Agriculture_Forestry
        - Miscellaneous
    ImmoweltEstateSubType:
      type: string
      enum:
        - Agriculture_Company
        - Agriculture_Forestry
        - Apart_Hotel
        - Apartment_House
        - Assisted_Living
        - Atelier
        - Barge
        - Bed_N_Breakfast
        - Boat_Dock
        - Boutique
        - Bungalow
        - Cafe_Bar_Pub
        - Campsite
        - Car_Park
        - Carport
        - Castle
        - Chalet
        - Club_Discotheque
        - Commercial
        - Commercial_Parc
        - Commercial_Villa
        - Corner_Terrace_House
        - Country_Cottage
        - Coworking
        - Double_Garage
        - Duplex
        - End_Terrace_House
        - Farm_Ranch
        - Farmhouse
        - Fields
        - Finca
        - Fishing
        - Flatsharing_Room
        - Forestry
        - Garage
        - Garage_Area
        - Garage_Repair
        - Garden_House
        - Gardening
        - Gite
        - Holiday_Park
        - Hotel
        - House_Park
        - House_To_Build
        - House_To_Build_With_Plot
        - Hunting
        - Industry
        - Kiosk
        - Kot
        - Lakeside_Property
        - Large_Town_House
        - Leisure
        - Leisure_Facility
        - Living
        - Living_And_Commercial
        - Living_And_Commercial_Building
        - Loft
        - Loft_Atelier
        - Logistics_Center
        - Manor_House
        - Mansion
        - Meadow
        - Medical
        - Medical_Building
        - Medical_Care
        - Medical_Floor
        - Mid_Terrace_House
        - Mill
        - Misc_Agriculture
        - Misc_Storage
        - Miscellaneous
        - Mixed
        - Mixed_Use_Building_Commercial
        - Mobile_Home
        - Mountain_Hut
        - Multi_Family_House
        - Multi_Storey
        - Office_Building
        - Office_Centre
        - Office_Space
        - Office_Storage_Building
        - Open_Space
        - Orchard
        - Outdoor_Space
        - Outside
        - Parking_Area
        - Pavilion
        - Penthouse
        - Production_Hall
        - Residential_Complex
        - Restaurant
        - Riding
        - Rustico
        - Sales_Area
        - Semidetached_House
        - Shared_Office
        - Shopping_Centre
        - Showroom_Space
        - Single_Family_House
        - Single_Office
        - Special_Real_Estate
        - Special_Use
        - Static_Caravan
        - Store
        - Street_Parking
        - Structure
        - Studio
        - Terrace
        - Terrace_House
        - Town_House
        - Underground_Garage
        - Underground_Parking_Space
        - Unfinished_Attic_Space
        - Villa
        - Warehouse_Hall
        - Winery
    ImmoweltProjectType:
      type: string
      enum:
        - Resale
        - New_Build
        - Projected
        - Investment
        - Flatsharing
        - Life_Annuity
        - Short_Time_Rental
        - Stock
        - Swap_Apartment
    ImmoweltFeature:
      type: string
      enum:
        - Air_Condition
        - Assisted_Living
        - Balcony_Terrace
        - Bathroom_Window
        - Bathtub
        - Cellar
        - Commission_Free
        - Elevator
        - Exclusive
        - Garden
        - Kitchen_Fully_Equipped
        - No_Media
        - Parking_Garage
        - Pets_Allowed
        - Reduce_Mobility_Access
        - Swimming_Pool
        - Vacant
    ImmoweltBuildState:
      type: string
      enum:
        - First_Time_Use
        - First_Time_Use_After_Refurbishment
        - Fully_Renovated
        - Mint_Condition
        - Modernised
        - Need_Of_Renovation
        - Negotiable
        - No_Information
        - Partly_Renovated
        - Projected
        - Refurbished
        - Restructured
        - Ripe_For_Demolition
        - Well_Kept
    ImmoweltFurnished:
      type: string
      enum:
        - Full
        - Part
        - 'No'
        - Not_Applicable
    ImmoweltEnergyClass:
      type: string
      enum:
        - A_PLUS
        - A
        - B
        - C
        - D
        - E
        - F
        - G
        - H
    ImmoweltLocationInBuilding:
      type: string
      enum:
        - Groundfloor
        - Half_Basement
        - Roof_Storey
    ImmoweltSort:
      type: string
      enum:
        - Default
        - DateDesc
        - PriceAsc
        - PriceDesc
    ImmoweltAddress:
      properties:
        '@type':
          type: string
          default: ImmoweltAddress
        city:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        federal_state_geo_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ImmoweltTags:
      properties:
        '@type':
          type: string
          default: ImmoweltTags
        has_3d_visit:
          anyOf:
            - type: boolean
            - type: 'null'
        has_brokerage_fee:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ImmoweltListingAgency:
      properties:
        '@type':
          type: string
          default: ImmoweltListingAgency
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        contact_person:
          anyOf:
            - type: string
            - type: 'null'
        is_private_owner:
          anyOf:
            - type: boolean
            - type: 'null'
        publisher_type:
          anyOf:
            - type: string
            - type: 'null'
        phones:
          items:
            type: string
          type: array
          default: []
        website:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        badge:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltBadge'
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ImmoweltBadge:
      properties:
        '@type':
          type: string
          default: ImmoweltBadge
        image:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````